Subject: [netmod] [Errata Held for Document Update] RFC8407 (6899)

From: RFC Errata System <[email-masked]>
Date: Wed, 30 Mar 2022 14:20:32 -0700 (PDT)

The following errata report has been held for document update 
for RFC8407, "Guidelines for Authors and Reviewers of Documents Containing YANG Data Models". 

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6899

--------------------------------------
Status: Held for Document Update
Type: Editorial

Reported by: Mohamed Boucadair <[email-masked]>
Date Reported: 2022-03-29
Held by: RFC Editor  

Section: Appendix A

Original Text
-------------
   o  License -- verify that the document contains the Simplified BSD
      License in each YANG module or submodule.  Some guidelines related
      to this requirement are described in Section 3.1.  Make sure that
      the correct year is used in all copyright dates.  Use the approved
      text from the latest TLP document, which can be found at:

Corrected Text
--------------
   o  License -- verify that the document contains the Revised BSD
      License in each YANG module or submodule.  Some guidelines related
      to this requirement are described in Section 3.1.  Make sure that
      the correct year is used in all copyright dates.  Use the approved
      text from the latest TLP document, which can be found at:

Notes
-----
https://trustee.ietf.org/documents/trust-legal-provisions/tlp-5/ says:

==
Note: in prior versions of these provisions, the software license was erroneously called the “Simplified BSD License” rather than the “Revised BSD License”, and many documents that refer to these provisions copied the erroneous name. The IETF Trust corrected the error on September 21, 2021. The license text itself was always that of the Revised BSD License and has not changed.
==
 --VERIFIER NOTES--
Approved by John Levine (Temporary RFC Series Project Manager and member of the IETF Trust).

--------------------------------------
RFC8407 (draft-ietf-netmod-rfc6087bis-20)
--------------------------------------
Title               : Guidelines for Authors and Reviewers of Documents Containing YANG Data Models
Publication Date    : October 2018
Author(s)           : A. Bierman
Category            : BEST CURRENT PRACTICE
Source              : Network Modeling
Area                : Operations and Management
Stream              : IETF

---

From: Kent Watsen <[email-masked]>
Date: Wed, 30 Mar 2022 22:23:58 +0000

If this Errata is accepted, does it mean that an Errata will be filed for the thousands of RFCs that have been published since 2009 when the error was introduce in RFC 5691?

Kent 

> On Mar 30, 2022, at 5:20 PM, RFC Errata System <[email-masked]> wrote:
> 
> _______________________________________________
> netmod mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netmod

---

From: Sandy Ginoza <[email-masked]>
Date: Wed, 30 Mar 2022 19:55:35 -0700

Hi Kent,

I hope not.  Per discussion with John Levine (Temporary RFC Series Project Manager and member of the IETF Trust), we have marked this item as Held for Document Update <https://www.rfc-editor.org/errata-definitions/>.

Thanks,
Sandy 

> On Mar 30, 2022, at 3:23 PM, Kent Watsen <[email-masked]> wrote:
>

---

From: <[email-masked]>
Date: Thu, 31 Mar 2022 05:31:34 +0000

Hi Kent, 

There are not thousands of RFCs that include a "Module Review Checklist" :-), which is the purpose of this erratum. Thanks. 

Cheers,
Med

> -----Message d'origine-----
> De : Kent Watsen <[email-masked]>
> Envoyé : jeudi 31 mars 2022 00:24
> À : RFC Errata System <[email-masked]>
> Cc : BOUCADAIR Mohamed INNOV/NET <[email-masked]>; Andy
> Bierman <[email-masked]>; [email-masked]; IESG
> <[email-masked]>; [email-masked]
> Objet : Re: [netmod] [Errata Held for Document Update] RFC8407 (6899)
> 
> If this Errata is accepted, does it mean that an Errata will be filed
> for the thousands of RFCs that have been published since 2009 when the
> error was introduce in RFC 5691?
> 
> Kent
> 
> 
> > The following errata report has been held for document update for
> > RFC8407, "Guidelines for Authors and Reviewers of Documents Containing
> YANG Data Models".
> >
> > Reported by: Mohamed Boucadair <[email-masked]> Date
> > Reported: 2022-03-29 Held by: RFC Editor
> >
> > Section: Appendix A
> >
> > Original Text
> > -------------
> > Note: in prior versions of these provisions, the software license was
> erroneously called the “Simplified BSD License” rather than the “Revised
> BSD License”, and many documents that refer to these provisions copied
> the erroneous name. The IETF Trust corrected the error on September 21,
> 2021. The license text itself was always that of the Revised BSD License
> and has not changed.
> > ==
> > --VERIFIER NOTES--

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: tom petch <[email-masked]>
Date: Thu, 31 Mar 2022 11:00:42 +0000

From: netmod <[email-masked]> on behalf of [email-masked] <[email-masked]>
Sent: 31 March 2022 06:31

Hi Kent,

<tp>

I agree.  There may be lots of RFC in error because RFC8407 gets it wrong but if the update to the lots of RFC was wanted then it should have been investigated last Autumn when the announcement of the change to the TLP was made, an announcement that passed me by despite being on all the right mailing lists.

When I comment on an I-D to the effect that the TLP is out of date, then the response is that it is almost impossible to get the submission tool to accept the correct TLP so authors go on including the out of date version, in order to submit  and I go on flagging it at submission and at Last Call.  But that is one for some other mailing list, I know not which.

Tom Petch

Cheers,
Med

---

From: "John R. Levine" <[email-masked]>
Date: 31 Mar 2022 12:55:40 -0400

> I agree.  There may be lots of RFC in error because RFC8407 gets it wrong but if the update to the lots of RFC was wanted then it should have been investigated last Autumn when the announcement of…

The fix to the TLP was my idea in the first place and it's not that big of 
a deal.  If you follow the link and read that part of the TLP, the actual 
license has never changed.  We just give it the correct name now.

Regards,
John Levine, [email-masked], Primary Perpetrator of "The Internet for Dummies",
Please consider the environment before reading this e-mail. https://jl.ly

---

From: Andy Bierman <[email-masked]>
Date: Thu, 31 Mar 2022 10:11:20 -0700

On Thu, Mar 31, 2022 at 9:56 AM John R. Levine <[email-masked]> wrote:

> > There are not thousands of RFCs that include a "Module Review Checklist"
> :-), which is the purpose of this erratum. Thanks.
> >
> > <tp>
> >
> > I agree.  There may be lots of RFC in error because RFC8407 gets it
> wrong but if the update to the lots of RFC was wanted then it should have
> been investigated last Autumn when the announcement of the change to the
> TLP was made, an announcement that passed me by despite being on all the
> right mailing lists.
>
I agree the checklist in Appendix A should be updated.

The corrected RFC (any RFC where Errata Exists) should be available online.
Not erasing the published RFC, but with a link to rfcNNNN-current (where
all accepted Errata is applied).

> Please consider the environment before reading this e-mail. https://jl.ly

Andy

---

From: Kent Watsen <[email-masked]>
Date: Thu, 31 Mar 2022 17:45:43 +0000

> Not erasing the published RFC, but with a link to rfcNNNN-current (where all accepted Errata is applied).

+1

I would hope that web-based RFCs would either default to showing the "current" RFC or provide an easy way for clients to be aware that a "current" version is available and get a link to it.

Kent

---

From: "John R. Levine" <[email-masked]>
Date: 31 Mar 2022 14:29:05 -0400

> I would hope that web-based RFCs would either default to showing the "current" RFC or provide an easy way for clients to be aware that a "current" version is available and get a link to it.

If you look at, say RFC 6376 at https://www.rfc-editor.org/info/rfc6376

There's four links to versions of the RFC.  The fourth with the checkmark has errata applied,
with links at the top to the individual errata.

The regular HTML version has red "Errata Exist" at the top so you know to look for them.

Take a look.

R's,
John

---

From: Kent Watsen <[email-masked]>
Date: Thu, 31 Mar 2022 18:44:38 +0000

Hi John,

> with links at the top to the individual errata.

Perfect!  And I also see "with errata" links on the Datatracker pages too.  Strange that I've never noticed them before...did they get added recently?

> The regular HTML version has red "Errata Exist" at the top so you know to look for them.

Right, this is what I'm familiar with, but it's always a slog to parse through the Errata.  What's new (to me) is that the very-top line of the browser window now has a "with errata" link...this was the missing piece.

> Take a look.

I still think that the "with errata" version should be displayed by default or, better, a popup that says "A version with Errata-fixes applied is available, would you like to see it instead?" - thoughts?

Kent

---

From: Jean Mahoney <[email-masked]>
Date: Thu, 31 Mar 2022 15:57:15 -0500

Tom,

> When I comment on an I-D to the effect that the TLP is out of date, then the response is that it is almost impossible to get the submission tool to accept the correct TLP so authors go on including…

[JM] There is an issue opened against datatracker on this topic:

https://github.com/ietf-tools/datatracker/issues/3544

Best regards,

Jean

RPC Project Manager

---

From: <[email-masked]>
Date: Fri, 1 Apr 2022 06:08:27 +0000

Hi John, all,

If we want the fix to the appendix to be immediately visible to the readers (in the rendered version), wouldn’t be more appropriate to mark this erratum as “verified” rather than “held for doc update”?

Cheers,
Med

De : Andy Bierman <[email-masked]>
Envoyé : jeudi 31 mars 2022 19:11
À : John R. Levine <[email-masked]>
Cc : tom petch <[email-masked]>; BOUCADAIR Mohamed INNOV/NET <[email-masked]>; Kent Watsen <[email-masked]>; [email-masked]; [email-masked]
Objet : Re: [netmod] [Errata Held for Document Update] RFC8407 (6899)

Regards,
John Levine, [email-masked]<mailto:[email-masked]>, Primary Perpetrator of "The Internet for Dummies",
Please consider the environment before reading this e-mail. https://jl.ly

Andy

_______________________________________________
netmod mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/netmod